# Class UnsupportedUniverseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sun.j3d.utils.scenegraph.io.UnsupportedUniverseException

All Implemented Interfaces:
  `Serializable`

public class UnsupportedUniverseException extends Exception
Thrown if the VirtualUniverse subclass is not supported by the writeUniverse calls. Currently only com.sun.j3d.utils.universe.SimpleUniverse is supported

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnsupportedUniverseException()`
Creates new `UnsupportedUniverseException` without detail message.
`UnsupportedUniverseException(String msg)`
Constructs an `UnsupportedUniverseException` with the specified detail message.

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnsupportedUniverseException

public UnsupportedUniverseException()
Creates new `UnsupportedUniverseException` without detail message.

### UnsupportedUniverseException

public UnsupportedUniverseException(String msg)
Constructs an `UnsupportedUniverseException` with the specified detail message.

Parameters:
  `msg` - the detail message.